# ETL Special Delivery

Original map by:
- Apple & GW

TE version by:
- jump3r, eiM & Snake

Overhaul by:
- Aciz

## Special thanks to
- Sungi, Wing, Kemon & Bystry for extensive feedback throughout the development
- All the people who played the scrim test version and gave valuable feedback

&nbsp;

# NOTABLE CHANGES FROM THE ORIGINAL

- Overhauled visuals and lighting
- Significantly improved VIS
- Axis lookout towers at first stage now require you to be standing in order to shoot out of
  - A small box was added in each of them that still allows crouched shooting
- The loading doors at trucks no longer open if a gold has been delivered to them - only the required door(s) open
- Artillery/airstrikes can no longer be called right next to the trucks
- Forward bunker flag is moved slightly closer to the back wall to allow for more space for gunfights inside the bunker

&nbsp;

# CHANGELOG

## Version 5

### Fixes

- Fixed incorrect bsp being shipped with v4, now correctly includes an updated bsp

## Version 4

### New

- Added terrain and textured surfaces underneath the east and west walls to prevent spectators flying inside them seeing into void
- Added `id` keys to spawnpoints to support legacy mods minor spawnpoint selection
  - See the image inside the pk3 for how the IDs are laid out per spawnpoint
- The rocks on the first stage are now lightmapped instead of vertex lit to achieve more natural shading, especially at the bottom side

### Fixes

- Added a slight delay before the loading doors close at the end of the round to (hopefully) fix them not closing sometimes on crowded servers
  - Round end is not delayed, just the doors closing after the round ends
- Fixed a flipped door texture at the first gold crate vault
- Fixed slightly floating sandbags at Storage room

### Changes

- Adjusted the pillars near the entrance to the train station to allow for easier fast jumps down without taking fall damage
- Adjusted clipping at the trucks so that it's no longer possible to get trapped behind the loading doors when they close - you'll get crushed now like in the original map

## Version 3

### Fixes

- Adjusted the clipping beneath East and West Walls to prevent easy selfboosting on top of the walls
- Removed unnecessary flag textures from the pk3

&nbsp;

## Version 2 (first public release)

### New

- Increased spawnpoint counts on each spawn to support 32v32 games
  - `/setspawnpt` command still works the same as in the original
- Added some clipping to the East and West Walls to prevent spectators flying under the map
- Added some tunes to the gramophone
- Omni-bot support (shipped in a seperate file)

### Fixes

- Adjusted terrain at cave entrance to block visibility from back offices to the cave entrance
- Fixed being able to prone behind Door Controls crates
- Fixed z-fighting textures near the corner next to elevator shaft
- Restored viewing angle from Forward Bunker catwalks to the warehouse entrance at the Train Station
- Fixed East/West Wall command map icons not working for axis in other mods than Legacy mod
- Fixed getting stuck at the doorway leading from controls room to axis spawn
- Fixed Gold Vault doors opening too fast
- Corrected the naming of location file (`etl_sp_delivery_loc_override.dat -> etl_sp_delivery_loc.dat`)
- Adjusted terrain at the East Sniper Hill to be walkable from the spot that bots try to walk across it
- Fixed z-fighting textures at the floor when the elevator was in the upper position
- Fixed a clip brush inside the elevator not moving with the rest of the elevator
- Updated the ETL common shaders to newer versions to avoid conflicts with other ETL map overhauls

### Changes

- Adjusted Door Controls lever height to be closer to the original map
- Moved chair near the corner next to elevator shaft to allow proning behind it
- Moved the wooden pallette closer to Forward Bunker to allow for easier jumps down from catwalk without taking fall damage
- Removed the flag hanging at the Forward Bunker lookout
- Decreased the brightness of the sunlight to help ease out contrast between outside and inside areas
- Adjusted the pillars and shelves at the warehouse to prevent some unwanted shooting angles
- Clipped off the platform above the trains at the Train Station to prevent boosting players on it
- Changed the clipping material on the trains to block missiles, so projectiles bounce off them more consistently
- The train roofs are now nonsolid and clipped with clip brushes for smoother collision
- Lowered the heights of the train roofs to allow crawling from one side to another

&nbsp;

## Version 1 (private scrim version)

### New

- Added command map
- Added loading screen image
- Added tracemap
- Added locations
- Added lights to the bottom of the drop from axis spawn to lower warehouse
- Added `_minvertexlight 16` - some of the darker vertex-lit models are now more visible, most notably the alarm boxes
- Added fake doorways and adjusted lighting at the gold vaults
- Added new intermission cameras for both teams
- Added new voice overs for both teams

### Fixes

- Added missing alarm speaker to the alarm box at the hallway leading to controls room from axis side
- Added missing chair model to PK3
- Fixed misaligned textures at windows near the second train
- Fixed misaligned sign texture at the hallways under the officce
- Fixed missing clipping at inner edges of loading doors
- Fixed floating light at the top of the elevator - now correctly set to invisible after map starts
- Fixed terrain texturing on culled surfaces near main bunker entrance
- Fixed misaligned trim textures near the gate at the inaccessible outside area near the trucks
- Fixed misaligned textures at lookout towers
- Fixed a gap between the doorframe and support pillar at the tunnel exit leading to the warehouse
- Fixed getting stuck midair when trying to slide up the mountains right next to the lookout tower entrances
- Fixed misaligned board texture at the office
- Fixed incorrect footsteps playing at certain parts of the railway
- Fixed extruding clipping at the doorway leading to staircase from axis spawn
- Fixed command map icons for east and west walls not working for axis
- Fixed warning about missing flag texture
- Added missing elevator sound to PK3

### Changes

- More aggressive clipping at the mountains on first stage to prevent some unintended spots from being easily accessible
- Dimmed non-functional elevator buttons and repositioned all of them to be at eye-level
- Differentiated the non-functional elevator from the functional one by adding blockage to the doors
- Raised the lamps at axis spawn slightly
- Brightened the hallway leading to controls room from axis side
- Widened the various fake doorways around the map so that they look more natural
- Shifted around metal trims at staircases around the map to make them look less reptitive
- Smoothed out collision with the gold vault doors when using VET patch collision
- Smoothed out collision at some staircases - less view bobbing when going up

&nbsp;

## Test 1 (private test version)

- First private test version for feedback
- Known issues:
  - No command map
  - No loading screen image
  - No tracemap
  - No locations
  - Misaligned textures at windows above the second train
  - Misaligned sign texture at the second hallway under offices

&nbsp;

# COMPILE SETTINGS

```
-meta -mv 1024 -mi 6144 -samplesize 4
-vis -saveprt
-light -fastbounce -dirty -samplesize 4 -samples 4 -thresh 0.25 -patchshadows -shade -bounce 16 -bouncescale 4 -bouncegrid -bouncecolorratio 0.5 -lightmapsize 2048
```
