// ---------------------------------------- //
//                                          //
// ET:L Special Delivery Shader             //
//                                          //
// ---------------------------------------- //

// ---------------------------------------- //
// Skybox                                   //
// ---------------------------------------- //

textures/etl_sp_delivery/lbsky2
{
	qer_editorImage env/lbsky2/lbsky2_up.tga
	q3map_globalTexture
	q3map_sunExt 1.0 1.0 1.0 100 13 47 0.5 32
	q3map_skylight 50 8
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms env/lbsky2/lbsky2 - -
}

// ---------------------------------------- //
// Terrain                                  //
// ---------------------------------------- //

// Base shaders

textures/etl_sp_delivery/rock_01
{
	qer_editorImage textures/etl_sp_delivery/rock_01.tga
	q3map_alphaMod dotproduct2 ( 0 0 0.8 )
	q3map_nonPlanar
	q3map_shadeAngle 90
	q3map_lightmapMergable
	{
		map textures/etl_sp_delivery/rock_01.tga
		rgbGen identity
	}
	{
		map textures/etl_sp_delivery/Stone-2358.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/cave_rock
{
	qer_editorImage textures/etl_sp_delivery/cave_rock_01.tga
	q3map_alphaMod dotproduct2 ( 0 0 0.6 )
	q3map_nonPlanar
	q3map_shadeAngle 90
	q3map_lightmapMergable
	{
		map textures/etl_sp_delivery/cave_rock_01.tga
		rgbGen identity
	}
	{
		map textures/etl_sp_delivery/cave_rock_02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/pebble_01
{
	qer_editorImage textures/etl_sp_delivery/rock_ground.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonPlanar
	q3map_shadeAngle 90
	q3map_lightmapMergable
	surfaceparm gravelsteps
	{
		map textures/etl_sp_delivery/rock_ground.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/mud_01
{
	qer_editorImage textures/etl_sp_delivery/brown_mud_dry.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonPlanar
	q3map_shadeAngle 90
	q3map_lightmapMergable
	surfaceparm gravelsteps
	{
		map textures/etl_sp_delivery/brown_mud_dry.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/grass_01
{
	qer_editorImage textures/etl_sp_delivery/grass_9082.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0 0 0.65 )
	q3map_bounceScale 0.25
	q3map_nonPlanar
	q3map_shadeAngle 90
	q3map_lightmapMergable
	surfaceparm grasssteps
	{
		map textures/etl_sp_delivery/grass_9082.tga
		rgbGen identity
	}
	{
		map textures/etl_sp_delivery/grass_7500.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// Blend shaders

textures/etl_sp_delivery/mud_01_to_rock_01_ivec
{
	qer_editorImage textures/etl_sp_delivery/editor/mud_01_to_rock_01_ivec.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonPlanar
	q3map_shadeAngle 90
	q3map_lightmapMergable
	{
		map textures/etl_sp_delivery/brown_mud_dry.tga
		rgbGen identity
	}
	{
		map textures/etl_sp_delivery/rock_01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/mud_01_to_rock_01
{
	qer_editorImage textures/etl_sp_delivery/editor/mud_01_to_rock_01.tga
	q3map_nonPlanar
	q3map_shadeAngle 90
	q3map_lightmapMergable
	{
		map textures/etl_sp_delivery/brown_mud_dry.tga
		rgbGen identity
	}
	{
		map textures/etl_sp_delivery/rock_01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/mud_01_to_grass_02
{
	qer_editorImage textures/etl_sp_delivery/editor/mud_01_to_grass_02.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonPlanar
	q3map_shadeAngle 90
	q3map_lightmapMergable
	surfaceparm gravelsteps
	{
		map textures/etl_sp_delivery/brown_mud_dry.tga
		rgbGen identity
	}
	{
		map textures/etl_sp_delivery/grass_7500.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/mud_01_fade_01
{
	qer_editorImage textures/etl_sp_delivery/editor/mud_01_fade_01.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonPlanar
	q3map_shadeAngle 90
	q3map_lightmapMergable
	surfaceparm gravelsteps
	{
		map textures/bunker_sd/concrete_c07bcmp_sand.tga
		tcMod scale 2 2
		rgbGen identity
	}
	{
		map textures/etl_sp_delivery/brown_mud_dry.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// Regular steps
textures/etl_sp_delivery/mud_01_fade_01b
{
	qer_editorImage textures/bunker_sd/concrete_c07bcmp_sand.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonPlanar
	q3map_shadeAngle 90
	q3map_lightmapMergable
	{
		map textures/bunker_sd/concrete_c07bcmp_sand.tga
		tcMod scale 2 2
		rgbGen identity
	}
	{
		map textures/etl_sp_delivery/brown_mud_dry.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/mud_01_fade_02
{
	qer_editorImage textures/etl_sp_delivery/editor/mud_01_fade_02.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonPlanar
	q3map_shadeAngle 90
	q3map_lightmapMergable
	surfaceparm gravelsteps
	{
		map textures/etl_sp_delivery/wall04_mid_c.tga
		rgbGen identity
	}
	{
		map textures/etl_sp_delivery/brown_mud_dry.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// Regular steps
textures/etl_sp_delivery/mud_01_fade_02b
{
	qer_editorImage textures/etl_sp_delivery/wall04_mid_c.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonPlanar
	q3map_shadeAngle 90
	q3map_lightmapMergable
	{
		map textures/etl_sp_delivery/wall04_mid_c.tga
		rgbGen identity
	}
	{
		map textures/etl_sp_delivery/brown_mud_dry.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


// ---------------------------------------- //
// Metals                                   //
// ---------------------------------------- //

textures/etl_sp_delivery/metal_wall1_red
{
	surfaceparm metalsteps
	{
		map textures/etl_sp_delivery/metal_wall1_red.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/fence_c10b
{
	qer_editorImage textures/etl_sp_delivery/editor/fence_c10b.tga
	qer_trans 0.9
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nolightmap
	surfaceparm trans
	nopicmip
	nomipmaps
	polygonOffset
	cull none
	{
		map textures/alpha/fence_c10.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/etl_sp_delivery/diamond_c_01_512
{
	q3map_bounceScale 2
	surfaceparm metalsteps
	{
		map textures/etl_sp_delivery/diamond_c_01_512.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/metal_trim1
{
	surfaceparm metalsteps
	{
		map textures/etl_sp_delivery/metal_trim1.tga
		rgbGen identity
	}
	{
		map textures/etl_sp_delivery/metal_trim1_spec.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen lightingSpecular
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/metal_m02_ns
{
	qer_editorImage textures/swf/metal_m02.tga
	surfaceparm nonsolid
	{
		map textures/swf/metal_m02.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/metal_m03_ns
{
	qer_editorImage textures/swf/metal_m03.tga
	surfaceparm nonsolid
	{
		map textures/swf/metal_m03.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


// ---------------------------------------- //
// Woods                                    //
// ---------------------------------------- //

textures/etl_sp_delivery/chwood_c02b
{
	surfaceparm woodsteps
	{
		map textures/etl_sp_delivery/chwood_c02b.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/chwood_c04b
{
	surfaceparm woodsteps
	{
		map textures/etl_sp_delivery/chwood_c04b.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/floor_c10_a
{
	qer_editorImage textures/castle_floor/floor_c10_a.tga
	surfaceparm woodsteps
	{
		map textures/castle_floor/floor_c10_a.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


// ---------------------------------------- //
// Doors                                    //
// ---------------------------------------- //

textures/etl_sp_delivery/adoor_m01
{
	qer_editorImage textures/assault/adoor_m01.tga
	surfaceparm metalsteps
	{
		map textures/assault/adoor_m01.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/door_c03b
{
	qer_editorImage textures/town_door/door_c03b.tga
	surfaceparm woodsteps
	{
		map textures/town_door/door_c03b.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


// ---------------------------------------- //
// Props                                    //
// ---------------------------------------- //

textures/etl_sp_delivery/board_m01
{
	qer_editorImage textures/props/board_m01.tga
	surfaceparm woodsteps
	{
		map textures/props/board_m01.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/flag_m02
{
	qer_editorImage textures/props/flag_m02.tga
	qer_trans 0.9
	surfaceparm alphashadow
	surfaceparm carpetsteps
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		map textures/props/flag_m02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/etl_sp_delivery/flag_m02b
{
	qer_editorImage textures/props/flag_m02b.tga
	qer_trans 0.9
	surfaceparm alphashadow
	surfaceparm carpetsteps
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		map textures/props/flag_m02b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/etl_sp_delivery/kilroy
{
	qer_editorImage textures/decals/kilroy.tga
	qer_trans 0.9
	polygonOffset
	{
		map textures/decals/kilroy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
}

textures/etl_sp_delivery/carpet_c03
{
	qer_editorImage textures/chat/carpet_c03.tga
	surfaceparm carpetsteps
	polygonOffset
	{
		map textures/chat/carpet_c03.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/carpet_c11
{
	qer_editorImage textures/chat/carpet_c11.tga
	surfaceparm carpetsteps
	polygonOffset
	{
		map textures/chat/carpet_c11.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/wine_c05
{
	qer_editorImage textures/props/wine_c05.tga
	surfaceparm woodsteps
	surfaceparm nomarks
	{
		map textures/props/wine_c05.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/wine_c08
{
	qer_editorImage textures/props/wine_c08.tga
	surfaceparm woodsteps
	surfaceparm nomarks
	{
		map textures/props/wine_c08.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/xradio_c02
{
	qer_editorImage textures/xlab_props/xradio_c02.tga
	surfaceparm metalsteps
	{
		map textures/xlab_props/xradio_c02.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/cable_m01_ns
{
	qer_editorImage textures/props/cable_m01.tga
	surfaceparm nonsolid
	{
		map textures/props/cable_m01.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


// ---------------------------------------- //
// Glass                                    //
// ---------------------------------------- //

textures/etl_sp_delivery/villwin_c12m_glass_noDW
{
	qer_editorImage textures/etl_sp_delivery/editor/villwin_c12m_noDW.tga
	qer_trans 0.7
	surfaceparm glass
	surfaceparm nolightmap
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	{
		map textures/village/villwin_c12m.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}


// ---------------------------------------- //
// Phong materials                          //
// ---------------------------------------- //

textures/etl_sp_delivery/wall03_mid_b_phong
{
	qer_editorImage textures/etl_sp_delivery/editor/wall03_mid_b_phong.tga
	q3map_nonPlanar
	q3map_shadeAngle 179
	{
		map textures/etl_sp_delivery/wall03_mid_b.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/wall04_mid_c_phong
{
	qer_editorImage textures/etl_sp_delivery/editor/wall04_mid_c_phong.tga
	q3map_nonPlanar
	q3map_shadeAngle 179
	{
		map textures/etl_sp_delivery/wall04_mid_c.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_sp_delivery/wine_c02_phong
{
	qer_editorImage textures/props/wine_c02.tga
	q3map_nonPlanar
	q3map_shadeAngle 90
	surfaceparm woodsteps
	{
		map textures/props/wine_c02.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


// ---------------------------------------- //
// Lights                                   //
// ---------------------------------------- //

textures/etl_sp_delivery/light_c04_3500
{
	qer_editorImage textures/lights/light_c04.tga
	q3map_lightimage textures/lights/light_c04.blend.tga
	q3map_surfacelight 3500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_c04.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_c04.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_sp_delivery/light_xlight_7500
{
	qer_editorImage textures/lights/light_xlight_02.tga
	q3map_surfacelight 7500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_sp_delivery/light_m11_red
{
	qer_editorimage textures/lights/light_m11.tga
	q3map_surfacelight 5000
	q3map_backSplash 5 5
	surfaceparm nomarks
	polygonOffset
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_m11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_m11.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}


// ---------------------------------------- //
// Models                                   //
// ---------------------------------------- //

textures/etl_sp_delivery/rock_01_models
{
	qer_editorImage textures/etl_sp_delivery/rock_01.tga
	q3map_alphaMod dotproduct2 ( 0 0 0.8 )
	q3map_nonPlanar
	q3map_shadeAngle 120
	q3map_lightmapSampleOffset 4
	{
		map textures/etl_sp_delivery/rock_01.tga
		rgbGen identity
	}
	{
		map textures/etl_sp_delivery/Stone-2358.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/etl_sp_delivery/leaves_temperate1b
{
	nopicmip
	qer_alphaFunc greater 0.5
	qer_editorImage models/etl_sp_delivery/leaves_temperate1b.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	implicitMask -
}

models/etl_sp_delivery/leaves_temperate2b
{
	nopicmip
	qer_alphaFunc greater 0.5
	qer_editorImage models/etl_sp_delivery/leaves_temperate2b.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	implicitMask -
}

models/etl_sp_delivery/bulb_nolight
{
	qer_editorImage models/etl_sp_delivery/bulb.tga
	q3map_lightimage models/etl_sp_delivery/bulb.tga
	surfaceparm nomarks
	surfaceparm glass
	{
		map models/mapobjects/etl_lights/bulb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/etl_sp_delivery/sconce2_22k
{
	qer_editorImage models/mapobjects/light/sconce2.tga
	q3map_lightimage models/mapobjects/light/pendant2.tga
	q3map_surfacelight 22000
	q3map_backSplash 5 12
	surfaceparm nomarks
	{
		map models/mapobjects/light/sconce2.tga
		rgbGen identity
	}
}

models/etl_sp_delivery/dt_bulkhead
{
	qer_editorImage models/mapobjects/etl_lights/dt_bulkhead.tga
	surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    q3map_styleMarker
    {
        map models/mapobjects/etl_lights/dt_bulkhead.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

models/etl_sp_delivery/dt_light_grill
{
	qer_editorImage models/mapobjects/etl_lights/dt_light_grill.tga
	qer_alphafunc greater 0.5
	nomipmaps
	nopicmip
	surfaceparm nomarks
	cull none
	{
		map models/mapobjects/etl_lights/dt_light_grill.tga
        alphaFunc GE128
        depthWrite
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }
    q3map_styleMarker
    {
        map models/mapobjects/etl_lights/dt_light_grill.tga
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

models/etl_sp_delivery/dt_nolight
{
	qer_editorImage models/mapobjects/etl_lights/dt_nolight.tga
	surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    q3map_styleMarker
    {
        map models/mapobjects/etl_lights/dt_nolight.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

// Same as below, just need two seperate ones for remapping
models/etl_sp_delivery/dt_nolight_orange1
{
	qer_editorImage models/etl_sp_delivery/dt_light_orange.tga
	surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
	{
		map models/mapobjects/etl_lights/dt_nolight.tga
		rgbGen identity
	}
	{
		map models/etl_sp_delivery/dt_light_orange.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave triangle 0.5 0.5 0.75 0.2
		rgbGen identity
	}
}

// Same as above, just need two seperate ones for remapping
models/etl_sp_delivery/dt_nolight_orange2
{
	qer_editorImage models/etl_sp_delivery/dt_light_orange.tga
	surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
	{
		map models/mapobjects/etl_lights/dt_nolight.tga
		rgbGen identity
	}
	{
		map models/etl_sp_delivery/dt_light_orange.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave triangle 0.5 0.5 0.75 0.2
		rgbGen identity
	}
}

// ---------------------------------------- //
// Levelshots                               //
// ---------------------------------------- //

levelshots/etl_sp_delivery_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/etl_sp_delivery_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/etl_sp_delivery_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/etl_sp_delivery_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

// ---------------------------------------- //
// Limbo graphics                           //
// ---------------------------------------- //

gfx/limbo/cm_delivery_wall_east
{
	nopicmip
	nomipmaps
	{
		map gfx/limbo/cm_delivery_wall.tga
		alphaFunc GE128
		tcMod transform -1 0 0 1 1 0
		rgbGen vertex
	}
}
